#ifndef VPSDK_VP_Win32_h__
#define VPSDK_VP_Win32_h__

#include "VP.h"

/**
 *  Initialize global state for Windows-message based notification of network
 *  events.
 */
VPSDK_API int vp_winsock_async_init();

/**
 *  Release global state for Windows-message based notification of network 
 *  events.
 *  \note All VPSDK instances for which #vp_winsock_async_enable was called \
 *        must first be released before this calling this function.
 */
VPSDK_API int vp_winsock_async_term();

/**
*  Enable use of windows message loop to receive notifications of network
*  events for this specific instance.
*  \note This function must be called before any connections are made.
*/
VPSDK_API int vp_winsock_async_enable(vp_instance_t instance);

#endif
